<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.SysLicenseMapper">

    <resultMap type="SysLicense" id="SysLicenseResult">
        <result property="licenseKey"    column="license_key"   />
    </resultMap>

    <sql id="selectSysLicenseVo">
        select license_key
        from sys_license
    </sql>

    <select id="selectSysLicense" resultMap="SysLicenseResult">
        <include refid="selectSysLicenseVo"/>
        limit 1
    </select>

</mapper>
